
_Main_Init:

;electronique_chenillard_021_16f628.mpas,47 :: 		begin
;electronique_chenillard_021_16f628.mpas,48 :: 		CMCON := 7;                // disable comparators
	MOVLW      7
	MOVWF      CMCON+0
;electronique_chenillard_021_16f628.mpas,49 :: 		TRISA := %01100000;
	MOVLW      96
	MOVWF      TRISA+0
;electronique_chenillard_021_16f628.mpas,50 :: 		TRISB := %11100000;
	MOVLW      224
	MOVWF      TRISB+0
;electronique_chenillard_021_16f628.mpas,51 :: 		OPTION_REG := 0;
	CLRF       OPTION_REG+0
;electronique_chenillard_021_16f628.mpas,52 :: 		OPTION_REG.NOT_RBPU := 0;  // let internal pullup on PORTB enabled
	BCF        OPTION_REG+0, 7
;electronique_chenillard_021_16f628.mpas,53 :: 		INTCON := 0;
	CLRF       INTCON+0
;electronique_chenillard_021_16f628.mpas,54 :: 		INTCON.GIE := 1;           // enable interrupts
	BSF        INTCON+0, 7
;electronique_chenillard_021_16f628.mpas,55 :: 		INTCON.RBIE := 1;          // enable interrupts on RB4..RB7
	BSF        INTCON+0, 3
;electronique_chenillard_021_16f628.mpas,56 :: 		INTCON.RBIF := 0;
	BCF        INTCON+0, 0
;electronique_chenillard_021_16f628.mpas,57 :: 		iStep := 0;
	CLRF       _iStep+0
;electronique_chenillard_021_16f628.mpas,58 :: 		iOuts := $00;
	CLRF       _iOuts+0
	CLRF       _iOuts+1
;electronique_chenillard_021_16f628.mpas,59 :: 		bIntGo := false;
	CLRF       _bIntGo+0
;electronique_chenillard_021_16f628.mpas,60 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_chenillard_021_16f628.mpas,63 :: 		begin
;electronique_chenillard_021_16f628.mpas,64 :: 		if INTCON.RBIF then
	BTFSS      INTCON+0, 0
	GOTO       L__Interrupt3
;electronique_chenillard_021_16f628.mpas,67 :: 		if In_Go = 0 then
	BTFSC      RB7_bit+0, 7
	GOTO       L__Interrupt6
;electronique_chenillard_021_16f628.mpas,68 :: 		bIntGo := true;
	MOVLW      255
	MOVWF      _bIntGo+0
L__Interrupt6:
;electronique_chenillard_021_16f628.mpas,70 :: 		if In_Less = 0 then
	BTFSC      RB5_bit+0, 5
	GOTO       L__Interrupt9
;electronique_chenillard_021_16f628.mpas,71 :: 		bIntLess := true;
	MOVLW      255
	MOVWF      _bIntLess+0
L__Interrupt9:
;electronique_chenillard_021_16f628.mpas,73 :: 		if In_More = 0 then
	BTFSC      RB6_bit+0, 6
	GOTO       L__Interrupt12
;electronique_chenillard_021_16f628.mpas,74 :: 		bIntMore := true;
	MOVLW      255
	MOVWF      _bIntMore+0
L__Interrupt12:
;electronique_chenillard_021_16f628.mpas,76 :: 		INTCON.RBIF := 0;
	BCF        INTCON+0, 0
;electronique_chenillard_021_16f628.mpas,77 :: 		end;
L__Interrupt3:
;electronique_chenillard_021_16f628.mpas,78 :: 		end;
L_end_Interrupt:
L__Interrupt182:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_UserPrefs_Load:

;electronique_chenillard_021_16f628.mpas,83 :: 		begin
;electronique_chenillard_021_16f628.mpas,84 :: 		iTmp := EEPROM_Read($01);
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      UserPrefs_Load_iTmp+0
;electronique_chenillard_021_16f628.mpas,85 :: 		if iTmp <= 10 then
	MOVF       R0+0, 0
	SUBLW      10
	BTFSS      STATUS+0, 0
	GOTO       L__UserPrefs_Load16
;electronique_chenillard_021_16f628.mpas,86 :: 		iStepMax := iTmp
	MOVF       UserPrefs_Load_iTmp+0, 0
	MOVWF      _iStepMax+0
	GOTO       L__UserPrefs_Load17
;electronique_chenillard_021_16f628.mpas,87 :: 		else
L__UserPrefs_Load16:
;electronique_chenillard_021_16f628.mpas,88 :: 		iStepMax := 10;
	MOVLW      10
	MOVWF      _iStepMax+0
L__UserPrefs_Load17:
;electronique_chenillard_021_16f628.mpas,89 :: 		end;
L_end_UserPrefs_Load:
	RETURN
; end of _UserPrefs_Load

_UserPrefs_Save:

;electronique_chenillard_021_16f628.mpas,94 :: 		begin
;electronique_chenillard_021_16f628.mpas,95 :: 		if iStepMax <= 10 then
	MOVF       _iStepMax+0, 0
	SUBLW      10
	BTFSS      STATUS+0, 0
	GOTO       L__UserPrefs_Save20
;electronique_chenillard_021_16f628.mpas,96 :: 		iTmp := iStepMax
	MOVF       _iStepMax+0, 0
	MOVWF      UserPrefs_Save_iTmp+0
	GOTO       L__UserPrefs_Save21
;electronique_chenillard_021_16f628.mpas,97 :: 		else
L__UserPrefs_Save20:
;electronique_chenillard_021_16f628.mpas,98 :: 		iTmp := 10;
	MOVLW      10
	MOVWF      UserPrefs_Save_iTmp+0
L__UserPrefs_Save21:
;electronique_chenillard_021_16f628.mpas,99 :: 		EEPROM_Write($01, iTmp);
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       UserPrefs_Save_iTmp+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;electronique_chenillard_021_16f628.mpas,100 :: 		end;
L_end_UserPrefs_Save:
	RETURN
; end of _UserPrefs_Save

_Out_Update:

;electronique_chenillard_021_16f628.mpas,103 :: 		begin
;electronique_chenillard_021_16f628.mpas,106 :: 		Out_Led_1 := iOuts.0 xor 1;
	BTFSC      _iOuts+0, 0
	GOTO       L__Out_Update186
	BSF        RA0_bit+0, 0
	GOTO       L__Out_Update187
L__Out_Update186:
	BCF        RA0_bit+0, 0
L__Out_Update187:
;electronique_chenillard_021_16f628.mpas,107 :: 		Out_Led_2 := iOuts.1 xor 1;
	BTFSC      _iOuts+0, 1
	GOTO       L__Out_Update188
	BSF        RA1_bit+0, 1
	GOTO       L__Out_Update189
L__Out_Update188:
	BCF        RA1_bit+0, 1
L__Out_Update189:
;electronique_chenillard_021_16f628.mpas,108 :: 		Out_Led_3 := iOuts.2 xor 1;
	BTFSC      _iOuts+0, 2
	GOTO       L__Out_Update190
	BSF        RA2_bit+0, 2
	GOTO       L__Out_Update191
L__Out_Update190:
	BCF        RA2_bit+0, 2
L__Out_Update191:
;electronique_chenillard_021_16f628.mpas,109 :: 		Out_Led_4 := iOuts.3 xor 1;
	BTFSC      _iOuts+0, 3
	GOTO       L__Out_Update192
	BSF        RA3_bit+0, 3
	GOTO       L__Out_Update193
L__Out_Update192:
	BCF        RA3_bit+0, 3
L__Out_Update193:
;electronique_chenillard_021_16f628.mpas,110 :: 		Out_Led_5 := iOuts.4 xor 1;
	BTFSC      _iOuts+0, 4
	GOTO       L__Out_Update194
	BSF        RA4_bit+0, 4
	GOTO       L__Out_Update195
L__Out_Update194:
	BCF        RA4_bit+0, 4
L__Out_Update195:
;electronique_chenillard_021_16f628.mpas,111 :: 		Out_Led_6 := iOuts.5 xor 1;
	BTFSC      _iOuts+0, 5
	GOTO       L__Out_Update196
	BSF        RB0_bit+0, 0
	GOTO       L__Out_Update197
L__Out_Update196:
	BCF        RB0_bit+0, 0
L__Out_Update197:
;electronique_chenillard_021_16f628.mpas,112 :: 		Out_Led_7 := iOuts.6 xor 1;
	BTFSC      _iOuts+0, 6
	GOTO       L__Out_Update198
	BSF        RB1_bit+0, 1
	GOTO       L__Out_Update199
L__Out_Update198:
	BCF        RB1_bit+0, 1
L__Out_Update199:
;electronique_chenillard_021_16f628.mpas,113 :: 		Out_Led_8 := iOuts.7 xor 1;
	BTFSC      _iOuts+0, 7
	GOTO       L__Out_Update200
	BSF        RB2_bit+0, 2
	GOTO       L__Out_Update201
L__Out_Update200:
	BCF        RB2_bit+0, 2
L__Out_Update201:
;electronique_chenillard_021_16f628.mpas,114 :: 		Out_Led_9 := iOuts.8 xor 1;
	BTFSC      _iOuts+1, 0
	GOTO       L__Out_Update202
	BSF        RB3_bit+0, 3
	GOTO       L__Out_Update203
L__Out_Update202:
	BCF        RB3_bit+0, 3
L__Out_Update203:
;electronique_chenillard_021_16f628.mpas,115 :: 		Out_Led_10 := iOuts.9 xor 1;
	BTFSC      _iOuts+1, 1
	GOTO       L__Out_Update204
	BSF        RB4_bit+0, 4
	GOTO       L__Out_Update205
L__Out_Update204:
	BCF        RB4_bit+0, 4
L__Out_Update205:
;electronique_chenillard_021_16f628.mpas,116 :: 		end;
L_end_Out_Update:
	RETURN
; end of _Out_Update

_Out_DoSound_1:

;electronique_chenillard_021_16f628.mpas,121 :: 		begin
;electronique_chenillard_021_16f628.mpas,124 :: 		for iDelay := 1 to 100 do
	MOVLW      1
	MOVWF      R2+0
L__Out_DoSound_125:
;electronique_chenillard_021_16f628.mpas,126 :: 		for iPeriod := 0 to 5 do
	CLRF       R3+0
L__Out_DoSound_130:
;electronique_chenillard_021_16f628.mpas,128 :: 		Out_Sound := Out_Sound xor 1;
	MOVLW      128
	XORWF      RA7_bit+0, 1
;electronique_chenillard_021_16f628.mpas,129 :: 		for i := 0 to iDelay do
	CLRF       R1+0
L__Out_DoSound_134:
	MOVF       R1+0, 0
	SUBWF      R2+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L__Out_DoSound_138
;electronique_chenillard_021_16f628.mpas,130 :: 		delay_us(1);
	NOP
	MOVF       R1+0, 0
	XORWF      R2+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Out_DoSound_138
	INCF       R1+0, 1
	GOTO       L__Out_DoSound_134
L__Out_DoSound_138:
;electronique_chenillard_021_16f628.mpas,131 :: 		end;
	MOVF       R3+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L__Out_DoSound_133
	INCF       R3+0, 1
	GOTO       L__Out_DoSound_130
L__Out_DoSound_133:
;electronique_chenillard_021_16f628.mpas,132 :: 		end;
	MOVF       R2+0, 0
	XORLW      100
	BTFSC      STATUS+0, 2
	GOTO       L__Out_DoSound_128
	INCF       R2+0, 1
	GOTO       L__Out_DoSound_125
L__Out_DoSound_128:
;electronique_chenillard_021_16f628.mpas,133 :: 		Out_Sound := 0; // very important, avoid DC voltage on piezo transductor
	BCF        RA7_bit+0, 7
;electronique_chenillard_021_16f628.mpas,134 :: 		end;
L_end_Out_DoSound_1:
	RETURN
; end of _Out_DoSound_1

_Out_DoSound_2:

;electronique_chenillard_021_16f628.mpas,139 :: 		begin
;electronique_chenillard_021_16f628.mpas,142 :: 		for iDelay := 100 downTo 1 do
	MOVLW      100
	MOVWF      R2+0
L__Out_DoSound_241:
;electronique_chenillard_021_16f628.mpas,144 :: 		for iPeriod := 0 to 5 do
	CLRF       R3+0
L__Out_DoSound_246:
;electronique_chenillard_021_16f628.mpas,146 :: 		Out_Sound := Out_Sound xor 1;
	MOVLW      128
	XORWF      RA7_bit+0, 1
;electronique_chenillard_021_16f628.mpas,147 :: 		for i := 0 to iDelay do
	CLRF       R1+0
L__Out_DoSound_250:
	MOVF       R1+0, 0
	SUBWF      R2+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L__Out_DoSound_254
;electronique_chenillard_021_16f628.mpas,148 :: 		delay_us(1);
	NOP
	MOVF       R1+0, 0
	XORWF      R2+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Out_DoSound_254
	INCF       R1+0, 1
	GOTO       L__Out_DoSound_250
L__Out_DoSound_254:
;electronique_chenillard_021_16f628.mpas,149 :: 		end;
	MOVF       R3+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L__Out_DoSound_249
	INCF       R3+0, 1
	GOTO       L__Out_DoSound_246
L__Out_DoSound_249:
;electronique_chenillard_021_16f628.mpas,150 :: 		end;
	MOVF       R2+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L__Out_DoSound_244
	DECF       R2+0, 1
	GOTO       L__Out_DoSound_241
L__Out_DoSound_244:
;electronique_chenillard_021_16f628.mpas,151 :: 		Out_Sound := 0; // very important, avoid DC voltage on piezo transductor
	BCF        RA7_bit+0, 7
;electronique_chenillard_021_16f628.mpas,152 :: 		end;
L_end_Out_DoSound_2:
	RETURN
; end of _Out_DoSound_2

_Out_GoNext:

;electronique_chenillard_021_16f628.mpas,155 :: 		begin
;electronique_chenillard_021_16f628.mpas,156 :: 		if iStep < iStepMax then
	MOVF       _iStepMax+0, 0
	SUBWF      _iStep+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Out_GoNext57
;electronique_chenillard_021_16f628.mpas,157 :: 		inc(iStep)
	INCF       _iStep+0, 1
	GOTO       L__Out_GoNext58
;electronique_chenillard_021_16f628.mpas,158 :: 		else
L__Out_GoNext57:
;electronique_chenillard_021_16f628.mpas,159 :: 		iStep := 0;
	CLRF       _iStep+0
L__Out_GoNext58:
;electronique_chenillard_021_16f628.mpas,160 :: 		iOuts.0 := ((iStep > 0) and (not In_Mode)) or ((iStep = 1) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      0
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext209
	BSF        3, 0
	GOTO       L__Out_GoNext210
L__Out_GoNext209:
	BCF        3, 0
L__Out_GoNext210:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext211
	BCF        _iOuts+0, 0
	GOTO       L__Out_GoNext212
L__Out_GoNext211:
	BSF        _iOuts+0, 0
L__Out_GoNext212:
;electronique_chenillard_021_16f628.mpas,161 :: 		iOuts.1 := ((iStep > 1) and (not In_Mode)) or ((iStep = 2) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      1
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext213
	BSF        3, 0
	GOTO       L__Out_GoNext214
L__Out_GoNext213:
	BCF        3, 0
L__Out_GoNext214:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext215
	BCF        _iOuts+0, 1
	GOTO       L__Out_GoNext216
L__Out_GoNext215:
	BSF        _iOuts+0, 1
L__Out_GoNext216:
;electronique_chenillard_021_16f628.mpas,162 :: 		iOuts.2 := ((iStep > 2) and (not In_Mode)) or ((iStep = 3) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      2
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext217
	BSF        3, 0
	GOTO       L__Out_GoNext218
L__Out_GoNext217:
	BCF        3, 0
L__Out_GoNext218:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      3
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext219
	BCF        _iOuts+0, 2
	GOTO       L__Out_GoNext220
L__Out_GoNext219:
	BSF        _iOuts+0, 2
L__Out_GoNext220:
;electronique_chenillard_021_16f628.mpas,163 :: 		iOuts.3 := ((iStep > 3) and (not In_Mode)) or ((iStep = 4) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      3
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext221
	BSF        3, 0
	GOTO       L__Out_GoNext222
L__Out_GoNext221:
	BCF        3, 0
L__Out_GoNext222:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      4
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext223
	BCF        _iOuts+0, 3
	GOTO       L__Out_GoNext224
L__Out_GoNext223:
	BSF        _iOuts+0, 3
L__Out_GoNext224:
;electronique_chenillard_021_16f628.mpas,164 :: 		iOuts.4 := ((iStep > 4) and (not In_Mode)) or ((iStep = 5) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      4
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext225
	BSF        3, 0
	GOTO       L__Out_GoNext226
L__Out_GoNext225:
	BCF        3, 0
L__Out_GoNext226:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      5
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext227
	BCF        _iOuts+0, 4
	GOTO       L__Out_GoNext228
L__Out_GoNext227:
	BSF        _iOuts+0, 4
L__Out_GoNext228:
;electronique_chenillard_021_16f628.mpas,165 :: 		iOuts.5 := ((iStep > 5) and (not In_Mode)) or ((iStep = 6) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      5
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext229
	BSF        3, 0
	GOTO       L__Out_GoNext230
L__Out_GoNext229:
	BCF        3, 0
L__Out_GoNext230:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      6
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext231
	BCF        _iOuts+0, 5
	GOTO       L__Out_GoNext232
L__Out_GoNext231:
	BSF        _iOuts+0, 5
L__Out_GoNext232:
;electronique_chenillard_021_16f628.mpas,166 :: 		iOuts.6 := ((iStep > 6) and (not In_Mode)) or ((iStep = 7) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      6
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext233
	BSF        3, 0
	GOTO       L__Out_GoNext234
L__Out_GoNext233:
	BCF        3, 0
L__Out_GoNext234:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      7
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext235
	BCF        _iOuts+0, 6
	GOTO       L__Out_GoNext236
L__Out_GoNext235:
	BSF        _iOuts+0, 6
L__Out_GoNext236:
;electronique_chenillard_021_16f628.mpas,167 :: 		iOuts.7 := ((iStep > 7) and (not In_Mode)) or ((iStep = 8) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      7
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext237
	BSF        3, 0
	GOTO       L__Out_GoNext238
L__Out_GoNext237:
	BCF        3, 0
L__Out_GoNext238:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      8
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext239
	BCF        _iOuts+0, 7
	GOTO       L__Out_GoNext240
L__Out_GoNext239:
	BSF        _iOuts+0, 7
L__Out_GoNext240:
;electronique_chenillard_021_16f628.mpas,168 :: 		iOuts.8 := ((iStep > 8) and (not In_Mode)) or ((iStep = 9) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      8
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext241
	BSF        3, 0
	GOTO       L__Out_GoNext242
L__Out_GoNext241:
	BCF        3, 0
L__Out_GoNext242:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      9
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext243
	BCF        _iOuts+1, 0
	GOTO       L__Out_GoNext244
L__Out_GoNext243:
	BSF        _iOuts+1, 0
L__Out_GoNext244:
;electronique_chenillard_021_16f628.mpas,169 :: 		iOuts.9 := ((iStep > 9) and (not In_Mode)) or ((iStep = 10) and In_Mode);
	MOVF       _iStep+0, 0
	SUBLW      9
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	BTFSC      RA6_bit+0, 6
	GOTO       L__Out_GoNext245
	BSF        3, 0
	GOTO       L__Out_GoNext246
L__Out_GoNext245:
	BCF        3, 0
L__Out_GoNext246:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
	MOVF       _iStep+0, 0
	XORLW      10
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RA6_bit+0, 6
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	MOVF       R2+0, 0
	IORWF      R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__Out_GoNext247
	BCF        _iOuts+1, 1
	GOTO       L__Out_GoNext248
L__Out_GoNext247:
	BSF        _iOuts+1, 1
L__Out_GoNext248:
;electronique_chenillard_021_16f628.mpas,170 :: 		Out_Update;
	CALL       _Out_Update+0
;electronique_chenillard_021_16f628.mpas,171 :: 		end;
L_end_Out_GoNext:
	RETURN
; end of _Out_GoNext

_Out_StepShowMax:

;electronique_chenillard_021_16f628.mpas,178 :: 		begin
;electronique_chenillard_021_16f628.mpas,179 :: 		iOutsTmp := iOuts;    // save actual outs state
	MOVF       _iOuts+0, 0
	MOVWF      Out_StepShowMax_iOutsTmp+0
	MOVF       _iOuts+1, 0
	MOVWF      Out_StepShowMax_iOutsTmp+1
;electronique_chenillard_021_16f628.mpas,180 :: 		iOuts := 0;           // disable all outputs
	CLRF       _iOuts+0
	CLRF       _iOuts+1
;electronique_chenillard_021_16f628.mpas,181 :: 		Out_Update;
	CALL       _Out_Update+0
;electronique_chenillard_021_16f628.mpas,182 :: 		iStepTmp := iStepMax - 1;
	MOVLW      1
	SUBWF      _iStepMax+0, 0
	MOVWF      Out_StepShowMax_iStepTmp+0
	MOVLW      0
	BTFSS      STATUS+0, 0
	ADDLW      1
	CLRF       Out_StepShowMax_iStepTmp+1
	SUBWF      Out_StepShowMax_iStepTmp+1, 1
;electronique_chenillard_021_16f628.mpas,183 :: 		for i := 1 to 4 do
	MOVLW      1
	MOVWF      Out_StepShowMax_i+0
L__Out_StepShowMax61:
;electronique_chenillard_021_16f628.mpas,185 :: 		iOuts.iStepTmp := iOuts.iStepTmp xor 1;   // blink max step LED
	MOVF       Out_StepShowMax_iStepTmp+0, 0
	MOVWF      R2+0
	MOVLW      1
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__Out_StepShowMax250:
	BTFSC      STATUS+0, 2
	GOTO       L__Out_StepShowMax251
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Out_StepShowMax250
L__Out_StepShowMax251:
	MOVF       R0+0, 0
	ANDWF      _iOuts+0, 0
	MOVWF      R2+0
	MOVF       _iOuts+1, 0
	ANDWF      R0+1, 0
	MOVWF      R2+1
	CLRF       R1+0
	MOVLW      0
	XORWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Out_StepShowMax252
	MOVLW      0
	XORWF      R2+0, 0
L__Out_StepShowMax252:
	BTFSC      STATUS+0, 2
	GOTO       L__Out_StepShowMax65
	MOVLW      1
	MOVWF      R1+0
L__Out_StepShowMax65:
	MOVLW      1
	XORWF      R1+0, 0
	MOVWF      R6+0
	MOVF       Out_StepShowMax_iStepTmp+0, 0
	MOVWF      R0+0
	MOVLW      1
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       R0+0, 0
L__Out_StepShowMax253:
	BTFSC      STATUS+0, 2
	GOTO       L__Out_StepShowMax254
	RLF        R4+0, 1
	RLF        R4+1, 1
	BCF        R4+0, 0
	ADDLW      255
	GOTO       L__Out_StepShowMax253
L__Out_StepShowMax254:
	MOVF       _iOuts+0, 0
	MOVWF      R2+0
	MOVF       _iOuts+1, 0
	MOVWF      R2+1
	BTFSS      R6+0, 0
	GOTO       L__Out_StepShowMax66
	MOVF       R4+0, 0
	IORWF      R2+0, 0
	MOVWF      _iOuts+0
	MOVF       R2+1, 0
	IORWF      R4+1, 0
	MOVWF      _iOuts+1
	GOTO       L__Out_StepShowMax67
L__Out_StepShowMax66:
	COMF       R4+0, 0
	MOVWF      R0+0
	COMF       R4+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	ANDWF      R2+0, 0
	MOVWF      _iOuts+0
	MOVF       R2+1, 0
	ANDWF      R0+1, 0
	MOVWF      _iOuts+1
L__Out_StepShowMax67:
;electronique_chenillard_021_16f628.mpas,186 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Out_StepShowMax68:
	DECFSZ     R13+0, 1
	GOTO       L__Out_StepShowMax68
	DECFSZ     R12+0, 1
	GOTO       L__Out_StepShowMax68
	DECFSZ     R11+0, 1
	GOTO       L__Out_StepShowMax68
	NOP
;electronique_chenillard_021_16f628.mpas,187 :: 		Out_Update;
	CALL       _Out_Update+0
;electronique_chenillard_021_16f628.mpas,188 :: 		end;
	MOVF       Out_StepShowMax_i+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L__Out_StepShowMax64
	INCF       Out_StepShowMax_i+0, 1
	GOTO       L__Out_StepShowMax61
L__Out_StepShowMax64:
;electronique_chenillard_021_16f628.mpas,189 :: 		iOuts := iOutsTmp;    // restore previous outs state
	MOVF       Out_StepShowMax_iOutsTmp+0, 0
	MOVWF      _iOuts+0
	MOVF       Out_StepShowMax_iOutsTmp+1, 0
	MOVWF      _iOuts+1
;electronique_chenillard_021_16f628.mpas,190 :: 		Out_Update;
	CALL       _Out_Update+0
;electronique_chenillard_021_16f628.mpas,191 :: 		end;
L_end_Out_StepShowMax:
	RETURN
; end of _Out_StepShowMax

_Out_StepMax_Less:

;electronique_chenillard_021_16f628.mpas,194 :: 		begin
;electronique_chenillard_021_16f628.mpas,195 :: 		if iStepMax > 1 then
	MOVF       _iStepMax+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L__Out_StepMax_Less71
;electronique_chenillard_021_16f628.mpas,196 :: 		dec(iStepMax);
	DECF       _iStepMax+0, 1
L__Out_StepMax_Less71:
;electronique_chenillard_021_16f628.mpas,197 :: 		if iStep > iStepMax then
	MOVF       _iStep+0, 0
	SUBWF      _iStepMax+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Out_StepMax_Less74
;electronique_chenillard_021_16f628.mpas,198 :: 		iStep := iStepMax;
	MOVF       _iStepMax+0, 0
	MOVWF      _iStep+0
L__Out_StepMax_Less74:
;electronique_chenillard_021_16f628.mpas,199 :: 		UserPrefs_Save;
	CALL       _UserPrefs_Save+0
;electronique_chenillard_021_16f628.mpas,200 :: 		Out_StepShowMax;
	CALL       _Out_StepShowMax+0
;electronique_chenillard_021_16f628.mpas,201 :: 		end;
L_end_Out_StepMax_Less:
	RETURN
; end of _Out_StepMax_Less

_Out_StepMax_More:

;electronique_chenillard_021_16f628.mpas,204 :: 		begin
;electronique_chenillard_021_16f628.mpas,205 :: 		if iStepMax < 10 then
	MOVLW      10
	SUBWF      _iStepMax+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Out_StepMax_More78
;electronique_chenillard_021_16f628.mpas,206 :: 		inc(iStepMax);
	INCF       _iStepMax+0, 1
L__Out_StepMax_More78:
;electronique_chenillard_021_16f628.mpas,207 :: 		if iStep > iStepMax then
	MOVF       _iStep+0, 0
	SUBWF      _iStepMax+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Out_StepMax_More81
;electronique_chenillard_021_16f628.mpas,208 :: 		iStep := iStepMax;
	MOVF       _iStepMax+0, 0
	MOVWF      _iStep+0
L__Out_StepMax_More81:
;electronique_chenillard_021_16f628.mpas,209 :: 		UserPrefs_Save;
	CALL       _UserPrefs_Save+0
;electronique_chenillard_021_16f628.mpas,210 :: 		Out_StepShowMax;
	CALL       _Out_StepShowMax+0
;electronique_chenillard_021_16f628.mpas,211 :: 		end;
L_end_Out_StepMax_More:
	RETURN
; end of _Out_StepMax_More

_Main_Welcome:

;electronique_chenillard_021_16f628.mpas,216 :: 		begin
;electronique_chenillard_021_16f628.mpas,219 :: 		for i := 0 to 9 do
	CLRF       Main_Welcome_i+0
L__Main_Welcome85:
;electronique_chenillard_021_16f628.mpas,222 :: 		0 : iOuts := %0000000000000001;
	MOVF       Main_Welcome_i+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome92
	MOVLW      1
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome92:
;electronique_chenillard_021_16f628.mpas,223 :: 		1 : iOuts := %0000000000000011;
	MOVF       Main_Welcome_i+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome95
	MOVLW      3
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome95:
;electronique_chenillard_021_16f628.mpas,224 :: 		2 : iOuts := %0000000000000111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome98
	MOVLW      7
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome98:
;electronique_chenillard_021_16f628.mpas,225 :: 		3 : iOuts := %0000000000001111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome101
	MOVLW      15
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome101:
;electronique_chenillard_021_16f628.mpas,226 :: 		4 : iOuts := %0000000000011111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome104
	MOVLW      31
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome104:
;electronique_chenillard_021_16f628.mpas,227 :: 		5 : iOuts := %0000000000111111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome107
	MOVLW      63
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome107:
;electronique_chenillard_021_16f628.mpas,228 :: 		6 : iOuts := %0000000001111111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome110
	MOVLW      127
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome110:
;electronique_chenillard_021_16f628.mpas,229 :: 		7 : iOuts := %0000000011111111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome113
	MOVLW      255
	MOVWF      _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome113:
;electronique_chenillard_021_16f628.mpas,230 :: 		8 : iOuts := %0000000111111111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome116
	MOVLW      255
	MOVWF      _iOuts+0
	MOVLW      1
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome116:
;electronique_chenillard_021_16f628.mpas,231 :: 		9 : iOuts := %0000001111111111;
	MOVF       Main_Welcome_i+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome119
	MOVLW      255
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome89
L__Main_Welcome119:
L__Main_Welcome89:
;electronique_chenillard_021_16f628.mpas,233 :: 		Out_Update;
	CALL       _Out_Update+0
;electronique_chenillard_021_16f628.mpas,234 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Main_Welcome120:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome120
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome120
	NOP
	NOP
;electronique_chenillard_021_16f628.mpas,235 :: 		end;
	MOVF       Main_Welcome_i+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L__Main_Welcome88
	INCF       Main_Welcome_i+0, 1
	GOTO       L__Main_Welcome85
L__Main_Welcome88:
;electronique_chenillard_021_16f628.mpas,237 :: 		for i := 0 to 9 do
	CLRF       Main_Welcome_i+0
L__Main_Welcome122:
;electronique_chenillard_021_16f628.mpas,240 :: 		0 : iOuts := %0000001111111110;
	MOVF       Main_Welcome_i+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome129
	MOVLW      254
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome129:
;electronique_chenillard_021_16f628.mpas,241 :: 		1 : iOuts := %0000001111111100;
	MOVF       Main_Welcome_i+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome132
	MOVLW      252
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome132:
;electronique_chenillard_021_16f628.mpas,242 :: 		2 : iOuts := %0000001111111000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome135
	MOVLW      248
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome135:
;electronique_chenillard_021_16f628.mpas,243 :: 		3 : iOuts := %0000001111110000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome138
	MOVLW      240
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome138:
;electronique_chenillard_021_16f628.mpas,244 :: 		4 : iOuts := %0000001111100000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome141
	MOVLW      224
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome141:
;electronique_chenillard_021_16f628.mpas,245 :: 		5 : iOuts := %0000001111000000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome144
	MOVLW      192
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome144:
;electronique_chenillard_021_16f628.mpas,246 :: 		6 : iOuts := %0000001110000000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome147
	MOVLW      128
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome147:
;electronique_chenillard_021_16f628.mpas,247 :: 		7 : iOuts := %0000001100000000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome150
	MOVLW      0
	MOVWF      _iOuts+0
	MOVLW      3
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome150:
;electronique_chenillard_021_16f628.mpas,248 :: 		8 : iOuts := %0000001000000000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome153
	MOVLW      0
	MOVWF      _iOuts+0
	MOVLW      2
	MOVWF      _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome153:
;electronique_chenillard_021_16f628.mpas,249 :: 		9 : iOuts := %0000000000000000;
	MOVF       Main_Welcome_i+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__Main_Welcome156
	CLRF       _iOuts+0
	CLRF       _iOuts+1
	GOTO       L__Main_Welcome126
L__Main_Welcome156:
L__Main_Welcome126:
;electronique_chenillard_021_16f628.mpas,251 :: 		Out_Update;
	CALL       _Out_Update+0
;electronique_chenillard_021_16f628.mpas,252 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Main_Welcome157:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome157
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome157
	NOP
	NOP
;electronique_chenillard_021_16f628.mpas,253 :: 		end;
	MOVF       Main_Welcome_i+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L__Main_Welcome125
	INCF       Main_Welcome_i+0, 1
	GOTO       L__Main_Welcome122
L__Main_Welcome125:
;electronique_chenillard_021_16f628.mpas,254 :: 		end;
L_end_Main_Welcome:
	RETURN
; end of _Main_Welcome

_main:

;electronique_chenillard_021_16f628.mpas,256 :: 		begin
;electronique_chenillard_021_16f628.mpas,257 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_chenillard_021_16f628.mpas,258 :: 		Out_Update;
	CALL       _Out_Update+0
;electronique_chenillard_021_16f628.mpas,259 :: 		UserPrefs_Load;
	CALL       _UserPrefs_Load+0
;electronique_chenillard_021_16f628.mpas,260 :: 		delay_ms(300);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      134
	MOVWF      R12+0
	MOVLW      153
	MOVWF      R13+0
L__main159:
	DECFSZ     R13+0, 1
	GOTO       L__main159
	DECFSZ     R12+0, 1
	GOTO       L__main159
	DECFSZ     R11+0, 1
	GOTO       L__main159
;electronique_chenillard_021_16f628.mpas,261 :: 		Main_Welcome;
	CALL       _Main_Welcome+0
;electronique_chenillard_021_16f628.mpas,262 :: 		while true do
L__main161:
;electronique_chenillard_021_16f628.mpas,264 :: 		if bIntGo then
	MOVF       _bIntGo+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main166
;electronique_chenillard_021_16f628.mpas,266 :: 		Out_GoNext;
	CALL       _Out_GoNext+0
;electronique_chenillard_021_16f628.mpas,267 :: 		if iStep < iStepMax then
	MOVF       _iStepMax+0, 0
	SUBWF      _iStep+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main169
;electronique_chenillard_021_16f628.mpas,268 :: 		Out_DoSound_1
	CALL       _Out_DoSound_1+0
	GOTO       L__main170
;electronique_chenillard_021_16f628.mpas,269 :: 		else if iStep = iStepMax then
L__main169:
	MOVF       _iStep+0, 0
	XORWF      _iStepMax+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main172
;electronique_chenillard_021_16f628.mpas,270 :: 		Out_DoSound_2;
	CALL       _Out_DoSound_2+0
L__main172:
L__main170:
;electronique_chenillard_021_16f628.mpas,271 :: 		bIntGo := false;
	CLRF       _bIntGo+0
;electronique_chenillard_021_16f628.mpas,272 :: 		end;
L__main166:
;electronique_chenillard_021_16f628.mpas,273 :: 		if bIntLess then
	MOVF       _bIntLess+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main175
;electronique_chenillard_021_16f628.mpas,275 :: 		Out_StepMax_Less;
	CALL       _Out_StepMax_Less+0
;electronique_chenillard_021_16f628.mpas,276 :: 		bIntLess := false;
	CLRF       _bIntLess+0
;electronique_chenillard_021_16f628.mpas,277 :: 		end;
L__main175:
;electronique_chenillard_021_16f628.mpas,278 :: 		if bIntMore then
	MOVF       _bIntMore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main178
;electronique_chenillard_021_16f628.mpas,280 :: 		Out_StepMax_More;
	CALL       _Out_StepMax_More+0
;electronique_chenillard_021_16f628.mpas,281 :: 		bIntMore := false;
	CLRF       _bIntMore+0
;electronique_chenillard_021_16f628.mpas,282 :: 		end;
L__main178:
;electronique_chenillard_021_16f628.mpas,283 :: 		end;
	GOTO       L__main161
;electronique_chenillard_021_16f628.mpas,284 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
